GXflow Software Requirements

Official Content

This document lists software requirements that GXflow components require at runtime. For developer requirements please check GeneXus 15 hardware and software requirements

Server-side requirements

GXflow is a multi-platform Software solution, so its server-side requirements vary depending on the selected language (Java, .NET) and DBMS.

Language Requirements
.NET * Microsoft .NET Framework 4.6 or higher
* IIS 6.0 or higher (1)
* ADO .NET provider associated with the selected DBMS
URL Rewrite
* Check GeneXus 15 .NET Generator for more information
Java * Sun JRE 1.6 or higher (2)
* J2EE Server or Servlet Server(3)
* DBMS JDBC Driver (4)
* Check GeneXus 15 Java Generator for more information

 

(1) - Internet Information Server 7 or higher when running on Azure.
(2) - JRE 1.7  if exposing GXflow's API through REST services is required, or External Storage for Multimedia features are required.
(3) - When using Apache Tomcat, use version 7.0.67 or higher.
(4) - Redistributable JDBC Drivers are automatically packaged with the application (ref.: Application Deployment tool).

Supported DBMSes

When generating application that use databases, the supported DBMS's are the following:

DBMS Version
* DB2 Universal Database 
* DB2 UDB for iSeries
* Informix
* MySQL
* Oracle
* PostgreSQL
* SQL Server
* SAP Hana
* 7.1 or higher
* V5R1 or higher
* 7.31 or higher
* 5.0.3 or higher
* 8.1.5 or higher
7.x or higher
* 2012 or higher

 

Client-side requirements

These are the client-side requirements for the built-in components; custom clients may have others.

GXflow Inbox runs in web browsers; the GXflow Client for Smart Devices? runs on iOS and Android.

Supported Internet Browsers

Browser Minimum Version  Recommended Version (1)
Internet Explorer 8.0 11 or higher
Mozilla Firefox 3.0 Latest available
Google Chome 6.0 Latest available
Safari 5.0 Latest available
Microsoft Edge 20.0 Latest available

(1) - In all cases, the latest available browser version is recommended, primarily because of improvements related to performance and security.

Supported Native OS

OS Minimum Version  Recommended Version
iOS 9.0 Latest available
Android 4.1.2 Latest available

Android and iOS applications store local data for caching purposes or offline scenarios using SQLite databases. The SQLite DBMS is part of Android and iOS Operating Systems and its version is defined by Android and iOS Requirements.

Check iOS Requirements and Android Requirements for more information.

Additional Requirements

There may be additional requirements that depend on the application interoperates with GXflow and whether the security is based on GeneXus Access Manager (GAM)

For those cases, check the Application execution requirements section at GeneXus 15 hardware and software requirements.

Was this page helpful?
What Is This?
Your feedback about this content is important. Let us know what you think.